#/!bin/sh
# adapted from http://rlog.rgtti.com/2011/11/24/xfig-thumbnailers-with-gnome3nautilus3/
set -e
dir=${1%/}
if test -z "$dir"; then
  echo "Install into $PWD (Y/n)?"
  read a
  if test "$a" = "Y" || test "$a" = "y" || test "$a" = ""; then
    dir=$PWD
  else
    echo Usage: ./xgo-thumb-setup.sh full_path_of_desired_install_directory
    exit 1
  fi
fi
mkdir -p "$dir"
if test -d "$dir"; then
  sed "s|use lib '.'|use lib '$dir'|" <both_x.pl >"$dir/both.pl" || (echo Unable to copy both.pl into $dir; exit 1)
  chown -R $SUDO_USER:$SUDO_USER "$dir"
  systemdir=/usr/share/thumbnailers
  mkdir -p $systemdir
  sed "s|dirpath|$dir|" <xgo_x.thumbnailer >$systemdir/xgo.thumbnailer || (echo Unable to copy xgo.thumbnailer into $systemdir, try sudo $0; exit 1)
  cp -p xgo-thumb-remove.sh "$dir" || (echo Unable to copy xgo-thumb-remove.sh to $dir; exit 1)
  cp -p SimpleSGF.pm "$dir" || (echo Unable to copy SimpleSGF.pm to $dir; exit 1)
  cp -p sgfThumbnailer.pm "$dir" || (echo Unable to copy sgfThumbnailer.pm to $dir; exit 1)
  cp -p LibertyCheck.pm "$dir" || (echo Unable to copy LibertyCheck.pm to $dir; exit 1)
  cp -p doc.html "$dir" || (echo Unable to copy doc.html to $dir; exit 1)
  cp -p testinstall.pl "$dir" || (echo Unable to copy testinstall.pl to $dir; exit 1)
  cp -p ThumbGD.pm "$dir" || (echo Unable to copy ThumbGD.pm to $dir; exit 1)
  cp -p ThumbIM.pm "$dir" || (echo  Unable to copy ThumbIM.pm to $dir; exit 1)
  perl $dir/testinstall.pl
  res=$?
  if test $res -eq 0; then
    mime=/desktop/gnome/thumbnailers/application@x-go-sgf
    # command to set gconf key
    gcset="gconftool-2 -s"
    # added system('mkdir /hohoho'); to both.pl but it didn't
    $gcset $mime/command -t string "perl $dir/both.pl -s %s %u %o"
    $gcset $mime/enable -t boolean true
    exit 0
  else
	  echo install failed, one of GD or Image::Magick needs to be installed
    exit 1
  fi
else
  echo Directory $dir not found
  exit 1
fi
